Name:       perl-FCGI-ProcManager
Version:    0.28
Release:    1%{?dist}
License:    LGPLv2+
Summary:    A FastCGI process manager
Source0:     https://cpan.metacpan.org/authors/id/A/AR/ARODLAND/FCGI-ProcManager-%{version}.tar.gz
Url:        https://metacpan.org/release/FCGI-ProcManager
BuildArch:  noarch

BuildRequires: make
BuildRequires: perl-generators
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)

%{?perl_default_filter}

%description
FCGI::ProcManager is used to serve as a FastCGI process manager. By
re-implementing it in perl, developers can more finely tune performance
in their web applications, and can take advantage of copy-on-write
semantics prevalent in UNIX kernel process management.


%prep
%setup -q -n FCGI-ProcManager-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README ChangeLog
%license COPYING
%{perl_vendorlib}/FCGI*
%{_mandir}/man3/FCGI*.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.28-1
- initial build
